## ros-melodic-multi-object-tracking-lidar 1.0.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(multi_object_tracking_lidar)

set(CMAKE_CXX_STANDARD 14)
## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  pcl_ros
  roscpp
  sensor_msgs
)
find_package( OpenCV REQUIRED )

## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
#   FILES
#   Message1.msg
#   Message2.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
#   DEPENDENCIES
#   sensor_msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
#  INCLUDE_DIRS include
#  LIBRARIES kf_tracker
#  CATKIN_DEPENDS pck_ros roscpp sensor_msgs
#  DEPENDS system_lib
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  include
)


## Declare a cpp library
# add_library(kf_tracker
#   src/${PROJECT_NAME}/kf_tracker.cpp
# )

## Declare a cpp executable
# add_executable(kf_tracker_node src/kf_tracker_node.cpp)
add_executable( kf_tracker src/main.cpp )
target_link_libraries ( kf_tracker ${OpenCV_LIBRARIES} ${catkin_LIBRARIES})
 
## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
# add_dependencies(kf_tracker_node kf_tracker_generate_messages_cpp)

## Specify libraries to link a library or executable target against
# target_link_libraries(kf_tracker_node
#   ${catkin_LIBRARIES}
# )

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
# install(PROGRAMS
#   scripts/my_python_script
#   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
# )

## Mark executables and/or libraries for installation
install(TARGETS kf_tracker
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_kf_tracker.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)

## ros-melodic-multi-object-tracking-lidar 1.0.2

=== debian/changelog ===
ros-melodic-multi-object-tracking-lidar (1.0.2-1stretch) stretch; urgency=high

  * Added link to wiki pages
  * Updated readme with suuported pointcloud sources
  * Updated README to clarify real, sim, dataset LiDAR data
  * Contributors: Praveen Palanisamy

 -- Praveen Palanisamy <praveen.palanisamy@outlook.com>  Sun, 01 Dec 2019 08:00:00 -0000

ros-melodic-multi-object-tracking-lidar (1.0.1-1stretch) stretch; urgency=high

  * Fixed cv_bridge build depend
  * Removed indirection op to be compatible with OpenCV 3+
  * Added visualization_msgs & cv_bridge build & run dependencies
  * Contributors: Praveen Palanisamy

 -- Praveen Palanisamy <praveen.palanisamy@outlook.com>  Fri, 26 Apr 2019 07:00:00 -0000

ros-melodic-multi-object-tracking-lidar (1.0.0-1stretch) stretch; urgency=high

  * Updated README with usage instructions
  * Renamed node name to kf_tracker to match bin name
  * Changed package name to multi_object_tracking_lidar
  * Updated package info & version num
  * Updated with a short demo on sample AV LIDAR scans
  * Added README with a short summary of the code
  * Working state of Multiple object stable tracking using Lidar scans with an extended Kalman Filter (rosrun kf_tracker tracker). A naive tracker is implemented in main_naive.cpp for comparison (rosrun kf_tracker naive_tracker).
  * v2. Unsupervised clustering is incorporated into the same node (tracker).
  * v1. Object ID/data association works. In this version PCL based unsupervised clustering is done separately.
  * Contributors: Praveen Palanisamy

 -- Praveen Palanisamy <praveen.palanisamy@outlook.com>  Sat, 13 Apr 2019 07:00:00 -0000

=== debian/control ===
Source: ros-melodic-multi-object-tracking-lidar
Section: misc
Priority: extra
Maintainer: Praveen Palanisamy <praveen.palanisamy@outlook.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-melodic-multi-object-tracking-lidar
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-apps1.8, libpcl-common1.8, libpcl-features1.8, libpcl-filters1.8, libpcl-io1.8, libpcl-kdtree1.8, libpcl-keypoints1.8, libpcl-ml1.8, libpcl-octree1.8, libpcl-outofcore1.8, libpcl-people1.8, libpcl-recognition1.8, libpcl-registration1.8, libpcl-sample-consensus1.8, libpcl-search1.8, libpcl-segmentation1.8, libpcl-stereo1.8, libpcl-surface1.8, libpcl-tracking1.8, libpcl-visualization1.8, ros-melodic-cv-bridge, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-visualization-msgs
Description: ROS package for Multiple objects detection, tracking and classification from LIDAR scans/point-clouds

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-multi-object-tracking-lidar//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-multi-object-tracking-lidar 1.0.4

=== debian/changelog ===
ros-melodic-multi-object-tracking-lidar (1.0.4-2bionic) bionic; urgency=high

  * Merge pull request #46 <https://github.com/praveen-palanisamy/multiple-object-tracking-lidar/issues/46> from praveen-palanisamy/rm-topic-slash-prefix
    Remove topic slash prefix
  * Apply clang-format-10
  * Rm slash prefix (deprecated in TF2)
  * Add note to filter NaNs in input point clouds
  * Contributors: Praveen Palanisamy

 -- Praveen Palanisamy <praveen.palanisamy@outlook.com>  Sun, 29 Aug 2021 07:00:00 -0000

ros-melodic-multi-object-tracking-lidar (1.0.3-2bionic) bionic; urgency=high

  * Merge pull request #26 from artursg/noetic-devel
    C++11 --> C++14 to allow compiling with later versions of PCL, ROS Neotic
  * Compiles under ROS Noetic
  * Merge pull request #25 from praveen-palanisamy/add-license-1
    Add MIT LICENSE
  * Add LICENSE
  * Merge pull request #24 from mzahran001/patch-1
    Fix broken hyperlink to wiki page in README
  * Fixing link error
  * Updated README to make clustering approach for 3D vs 2D clear #21
  * Added DOI and citing info
  * Contributors: Artur Sagitov, Mohamed Zahran, Praveen Palanisamy

 -- Praveen Palanisamy <praveen.palanisamy@outlook.com>  Sat, 27 Jun 2020 07:00:00 -0000

ros-melodic-multi-object-tracking-lidar (1.0.2-2bionic) bionic; urgency=high

  * Added link to wiki pages
  * Updated readme with suuported pointcloud sources
  * Updated README to clarify real, sim, dataset LiDAR data
  * Contributors: Praveen Palanisamy

 -- Praveen Palanisamy <praveen.palanisamy@outlook.com>  Sun, 01 Dec 2019 08:00:00 -0000

ros-melodic-multi-object-tracking-lidar (1.0.1-2bionic) bionic; urgency=high

  * Fixed cv_bridge build depend
  * Removed indirection op to be compatible with OpenCV 3+
  * Added visualization_msgs & cv_bridge build & run dependencies
  * Contributors: Praveen Palanisamy

 -- Praveen Palanisamy <praveen.palanisamy@outlook.com>  Fri, 26 Apr 2019 07:00:00 -0000

ros-melodic-multi-object-tracking-lidar (1.0.0-2bionic) bionic; urgency=high

  * Updated README with usage instructions
  * Renamed node name to kf_tracker to match bin name
  * Changed package name to multi_object_tracking_lidar
  * Updated package info & version num
  * Updated with a short demo on sample AV LIDAR scans
  * Added README with a short summary of the code
  * Working state of Multiple object stable tracking using Lidar scans with an extended Kalman Filter (rosrun kf_tracker tracker). A naive tracker is implemented in main_naive.cpp for comparison (rosrun kf_tracker naive_tracker).
  * v2. Unsupervised clustering is incorporated into the same node (tracker).
  * v1. Object ID/data association works. In this version PCL based unsupervised clustering is done separately.
  * Contributors: Praveen Palanisamy

 -- Praveen Palanisamy <praveen.palanisamy@outlook.com>  Sat, 13 Apr 2019 07:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-multi-object-tracking-lidar
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: Praveen Palanisamy <praveen.palanisamy@outlook.com>
 Build-Depends: debhelper (>= 9.0.0), libpcl-dev, ros-melodic-catkin, ros-melodic-cv-bridge, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-sensor-msgs, ros-melodic-visualization-msgs
 Homepage:
